import request from '/@/utils/request';
/**
 * @summary 获取所有策略
 */
export const GetAllPhmLogicPolicy = async (req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/GetAll@V1.0',
		method: 'get',
	});
};

/**
 * @summary 添加一个策略
 */
export const InsertAPhmLogicPolicy = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个策略
 */
export const UpdateAPhmLogicPolicy = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改策略排序码
 */
export const UpdatePhmLogicPolicySorter = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 更新策略使用状态
 */
export const UpdatePhmLogicPolicyUseStatus = async (data, req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/UpdateUseStatus@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 检查是否已存在编码
 */
export const GetIsExistPhmLogicPolicyCode = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/IsExistCode@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 检查是否已存在标记
 */
export const GetIsExistPhmLogicPolicyTagName = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/IsExistTagName@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 删除一个策略
 */
export const DeleteAPhmLogicPolicy = async (params, req: any = request) => {
	return req({
		url: '/Phm/Logic/Policy/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};
